# Generated by Django 2.0.4 on 2018-11-29 12:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Kota',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kode', models.IntegerField()),
                ('nama', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Kota',
                'ordering': ['kode'],
                'verbose_name_plural': 'Kota-Kota',
            },
        ),
        migrations.CreateModel(
            name='OlehOleh',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=255)),
                ('urlgambar', models.CharField(max_length=255)),
                ('kota', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.Kota')),
            ],
            options={
                'verbose_name': 'Oleh Oleh',
                'verbose_name_plural': 'Oleh Oleh',
            },
        ),
        migrations.CreateModel(
            name='TempatWisata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=255)),
                ('urlgambar', models.CharField(max_length=255)),
                ('deskripsi', models.TextField()),
                ('harga', models.CharField(max_length=100)),
                ('kota', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.Kota')),
            ],
            options={
                'verbose_name': 'Tempat Wisata',
                'verbose_name_plural': 'Tempat-Tempat Wisata',
            },
        ),
    ]
